wibble::tests::Actual< A > Struct Template Reference

`#include <tests.h>`

Collaboration diagram for wibble::tests::Actual< A >:
[legend]

## Public Member Functions

| Actual (const A &actual)
| ~Actual ()
template<typename E >
TestEquals< A, E > | operator== (const E &expected) const
template<typename E >
TestEquals< A, E > | operator!= (const E &expected) const
template<typename E >
TestIsLt< A, E > | operator< (const E &expected) const
template<typename E >
TestIsLte< A, E > | operator<= (const E &expected) const
template<typename E >
TestIsGt< A, E > | operator> (const E &expected) const
template<typename E >
TestIsGte< A, E > | operator>= (const E &expected) const
TestBool< A > | istrue () const
TestBool< A > | isfalse () const

## Public Attributes

A | actual

## Constructor & Destructor Documentation

## Actual()

template<class A>

wibble::tests::Actual< A >::Actual | ( | const A & | actual | ) |

inline

## ~Actual()

template<class A>

wibble::tests::Actual< A >::~Actual | ( |  | ) |

inline

## Member Function Documentation

## isfalse()

template<class A>

TestBool<A> wibble::tests::Actual< A >::isfalse | ( |  | ) | const

inline

## istrue()

template<class A>

TestBool<A> wibble::tests::Actual< A >::istrue | ( |  | ) | const

inline

## operator!=()

template<class A>
template<typename E >

TestEquals<A, E> wibble::tests::Actual< A >::operator!= | ( | const E & | expected | ) | const

inline

## operator<()

template<class A>
template<typename E >

TestIsLt<A, E> wibble::tests::Actual< A >::operator< | ( | const E & | expected | ) | const

inline

## operator<=()

template<class A>
template<typename E >

TestIsLte<A, E> wibble::tests::Actual< A >::operator<= | ( | const E & | expected | ) | const

inline

## operator==()

template<class A>
template<typename E >

TestEquals<A, E> wibble::tests::Actual< A >::operator== | ( | const E & | expected | ) | const

inline

## operator>()

template<class A>
template<typename E >

TestIsGt<A, E> wibble::tests::Actual< A >::operator> | ( | const E & | expected | ) | const

inline

## operator>=()

template<class A>
template<typename E >

TestIsGte<A, E> wibble::tests::Actual< A >::operator>= | ( | const E & | expected | ) | const

inline

## Member Data Documentation

## actual

template<class A>

A wibble::tests::Actual< A >::actual

The documentation for this struct was generated from the following file:

- tests.h